import java.awt.*;
import java.applet.*;
import ColorThread;

public class ThreadApplet5 extends Applet
{
    ColorThread thread;
    Color color1;
    Color color2;
    Color color3;
    Font font;

    public void init()
    {
        Button button = new Button("Close");
        add(button);
    }

    public void start()
    {
        color1 = Color.red;
        color2 = Color.green;
        color3 = Color.blue;

        thread = new ColorThread(this);
        thread.start();
    }

    public void stop()
    {
        thread.stop();
    }

    public void paint(Graphics g)
    {
        g.setColor(color1);
        g.fillRect(30, 50, 50, 100);
        g.setColor(color2);
        g.fillRect(100, 50, 50, 100);
        g.setColor(color3);
        g.fillRect(170, 50, 50, 100);
    }
    public boolean action(Event evt, Object arg)
    {
        if (arg == "Close")
            System.exit(0);
 
        return true;
    }

    public static void main(String args[])
    {
        ThreadApplet5 app = new ThreadApplet5();
        Frame frame = new Frame("Color Window");

        app.init();
        app.start();

        frame.add("Center", app);
        frame.resize(260, 300);
        frame.show();
    }
}

